Page MenuHomePhabricator

Add monolingual language code fr-CA
Closed, ResolvedPublic

Description

Please add the language code fr-CA (Canadian French) to the list of language codes supported for monolingual text values.

The language is used by French speaking Canadians. This will be useful for the name of plants in French used in the VASCAN ID (P1745) who are note the same that the standard French

  • Usage example: in Q145992 in property P1843 for Canadian French épinette de Norvège (Standard French: épicéa commun)
  • language item: https://www.wikidata.org/wiki/Q1450506 : native label writing system speakers

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd monolingual language code 'fr-ca'

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2016, 1:52 AM

This is NOT necessarily where the language committee gives its ok. It is not a different language.
Thanks,

GerardM

@GerardM thanks. Can the committee please come to a clear yes or no? Thanks :)

Sound globally like a good idea but we should go further and deeper.

I feel the request and the example is not wide enough, true « épinette de Norvège » is more common in Canada but this species have dozen of name in french, fr-ca label only solve one name.
Why only fr-ca, why not fr-be, fr-ch, fr-us, fr-qc, etc. ? Right now, we only have frc and frp (because they are far - and lucky - enough to have an ISO 639 code), I think we should look at this globally instead of doing one by one request.

PS: out of curiosity, how far is fr-ca to fr (I don't have numbers but it seems much closer than en-ca to en, and it's more a question of grammar than vocabulary and Wikidata don't care much for grammar ; there is no case like colour/color or organise/organize).

@VIGNERON For Wikidata, I am not sure there is much difference between fr-ca and fr.except in the vernacular names of plants of animals, and the title of translated books and movies We have some difference in the administrative level, but in Wikidata (municipalité - commune) these type of thing are generally different two items. For fr-qc, it's probably totally useless if we add fr-ca (It's mostly a different name of the same variety).

Fr-ch will probabbly usefull for the name of plants in French used in Switzerland via https://www.infoflora.ch/fr/ For fr-be and fr-us, I have no opinion on the subject, but the best is pobably find a database who use them first.

Esc3300 added a subscriber: MF-Warburg.EditedNov 22 2016, 4:03 PM

It seems it meets the requirements of https://www.wikidata.org/wiki/Help:Monolingual_text_languages#Getting_a_language_code_added

@MF-Warburg would you like to add something from the lang-co perspective?

@MF-Warburg would you like to add something from the lang-co perspective?

We're currently still discussing this.

@MF-Warburg what's the development so far? Would you kindly provide a link to the discussion?

What is the outstanding issue?

Hello,
I have a similar question regarding en-us. (discussion)
Is it a case you already had? What do you think about adding en-us in the list of languages?

Hoi,
For en-US we take it that it is standard English.. We do have en-GB among
others already.
Thanks,

GerardM

Hello @GerardM,

I transmit below the answer from the demander, MPF (who can't answer on Phabricator for technical reasons:

"American (en-us) is absolutely not the same as standard English (en). To say so is disgusting cultural imperialism, and highly objectional and insulting to English people; as such it is wholly contrary to the ethos and standards of wikis. The language name and code must follow the original language, i.e., English (en) is the language of English people in England, and not the often very different variant spoken in USA. Compare for example Portuguese (pt), which is used for the original European Portuguese (10.5 million speakers), while Brazilian Portuguese is pt-br despite its much greater population size (200 million) - a very comparable case to en and en-us.

As with the example cited earlier by Fralambert for fr-ca, many plants and animals have different names in English and American, and to insist that the standard English name is the American name - and that the actual English name is therefore incorrect - is highly insulting to English people.

To have an 'en-gb' is also inaccurate, as - although generally extremely similar - there are slight differences between English English, and Scottish English, Welsh English, Manx English, etc."

To focus this on the request, please use T154589 . Thanks.

Esc3300 added a comment.EditedJan 12 2017, 12:48 PM

Can we move ahead with fr-ca ?

It seems that no outstanding issues have been mentioned.

Esc3300 updated the task description. (Show Details)Jan 16 2017, 12:09 PM
Mbch331 updated the task description. (Show Details)Jan 16 2017, 5:20 PM
thiemowmde triaged this task as Normal priority.Mar 26 2017, 2:04 PM

@MF-Warburg & others
Hello :) Do you have any update regarding this topic? The ticket is open for a while now, we should be able to move on.
If you have any specific technical issue about Wikidata, let me know.
Thanks!

Hoi,
When you want a technical point, the code is a combination of two parts, to
standards. It is fr, the ISO 639 -1 code for Francais, the French language
and CA, the ISO 3166-2 code for Canada. Both should be spelled correctly so
the code should be fr-CA
Thanks,

GerardM
Dereckson renamed this task from Add monolingual language code fr-ca to Add monolingual language code fr-CA.May 4 2017, 9:50 PM
Dereckson updated the task description. (Show Details)

Change 369986 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/Wikibase@master] Add monolingual language code 'fr-CA'

https://gerrit.wikimedia.org/r/369986

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 3 2017, 7:01 PM
Mbch331 claimed this task.Aug 3 2017, 7:07 PM

Let's move ahead with fr-CA and get this merged.

Change 369986 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add monolingual language code 'fr-ca'

https://gerrit.wikimedia.org/r/369986

Laddo added a subscriber: Laddo.Sep 6 2017, 12:20 AM